Skip to content

Delete S/MIME config

DELETE/smime/config/{deleteToken}

Email Management API · SMIME

Delete all S/MIME certificates and private keys and reset the S/MIME configuration to smimeEnabled=false.

Parameters

Name In Type Required Description
X-Tenant-ID header string (uuid) Yes Tenant ID.
deleteToken path string Yes Token for delete configuration.
Must be exactly 8 characters long.

Request samples

curl -X DELETE "https://api-<data-region>.central.sophos.com/email/v1/smime/config/<deleteToken>" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"

import requests

response = requests.delete(
    "https://api-<data-region>.central.sophos.com/email/v1/smime/config/<deleteToken>",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
    },
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method DELETE -Uri "https://api-<data-region>.central.sophos.com/email/v1/smime/config/<deleteToken>" -Headers $headers

package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest("DELETE", "https://api-<data-region>.central.sophos.com/email/v1/smime/config/<deleteToken>", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api-<data-region>.central.sophos.com/email/v1/smime/config/<deleteToken>", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
  },
});
const data = await response.json();
console.log(data);

Responses

200 — S/MIME configuration and all associated certificates and private keys deleted successfully.

Response fields

deletedbooleanrequired
Indicates whether the S/MIME configuration was deleted.

Errors

Status Meaning
401 Authentication required.
403 Authorization required.
404 Resource not found.
409 Delete token does not match. The provided delete token does not match the token associated with the existing configuration.
500 Internal server error.
503 Server Unavailable.

All error responses share the same shape — see the error response object.

Response examples

200

{
  "deleted": true
}

See the guide for a narrative walkthrough of this API.